package javax.lang.model;

import java.lang.annotation.Annotation;
import javax.lang.model.element.AnnotationMirror;
import java.util.List;

public interface AnnotatedConstruct
{
    public abstract List<? extends AnnotationMirror> getAnnotationMirrors();
    
    public abstract <A extends Annotation> A getAnnotation(Class<A> p0);
    
    public abstract <A extends Annotation> A[] getAnnotationsByType(Class<A> p0);
}
